*If(DebugControl==1)
// *MatProp(Material_Prototype)
*EndIf
  TENSION_SOFT_HARD_FUNCTION *Operation(matvar*IncrAdvancedFunID+21)
*Set Var omaxvalue = 1.0
*for(i=2;i<=MatProp(Tension_function,Int);i=i+2)
*Set Var oavalueactual = MatProp(Tension_function,*i,Real)
*If(omaxvalue<oavalueactual)
*Set Var omaxvalue = oavalueactual
*EndIf
*End
  FT_MULTIP                  *Operation(2.1 * omaxvalue)
  CHAR_SIZE_TENSION          *MatProp(Tension_Characteristic_Size,Real)
  X_LOC_TENSION              *MatProp(Tension_Localization_Onset,Real)
  COMP_SOFT_HARD_FUNCTION    *Operation(matvar*IncrAdvancedFunID+22)
  CHAR_SIZE_COMP             *MatProp(Compressive_Characteristic_Size,Real)
  X_LOC_COMP                 *MatProp(Compression_Localization_Onset,Real)
*If(strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious2User")==0)
  SHEAR_STIFF_FUNCTION       *Operation(matvar*IncrAdvancedFunID+3)
  SHEAR_STRENGTH_FUNCTION    *Operation(matvar*IncrAdvancedFunID+6)
  X_LOC_SHEAR                *MatProp(Shear_Localization_Onset,Real)
*Else
  FIBER_VOLUME_FRACTION       *MatProp(FIBER_VOLUME_FRACTION,Real)
  FIBER_E_MODULUS             *MatProp(FIBER_E_MODULUS,Real)
  FIBER_SHEAR_MODULUS         *MatProp(FIBER_SHEAR_MODULUS,Real)
  FIBER_CROSS_SECTION_FACTOR  *MatProp(FIBER_CROSS_SECTION_FACTOR,Real)
  FIBER_DIAMETER              *MatProp(FIBER_DIAMETER,Real)
  FT_MULTIP                   *MatProp(FT_Multiplier,Real)
*EndIf
  FC_REDUCTION_FUNCTION *Operation(matvar*IncrAdvancedFunID+5)
  TENSILE_STRENGTH_RED_FUNCTION *Operation(matvar*IncrAdvancedFunID+24)
  FIXED *MatProp(Fixed_Crack,Real)  
*If(strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious2User")==0 || strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious2SHCC")==0 || strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious2SHCCWithTempDepProperties")==0 )
*If(MatProp(Activate_Substepping,Int)==1)
  SUBSTEPS_PER_FT  *MatProp(SUBSTEPS_PER_FT,int)
  MAX_SUBSTEPS  *MatProp(MAX_SUBSTEPS,int)
*EndIf
*EndIf
